<nav *ngIf="runner.status !== 'uninitialized'" class="navbar bg-light">
  <div class="container-fluid pe-0">
    <div class="row">
      <div class="col-9 col-lg-8 d-flex align-items-center">
        <button
          #toggle
          type="button"
          class="btn me-2 d-lg-none btn-primary"
          [title]="app.showBuilder ? 'Hide the builder' : 'Show the builder'"
          (click)="app.toggleBuilder()"
        >
          <i class="fas fa-fw" [ngClass]="app.showBuilder ? 'fa-close' : 'fa-edit'"></i>
        </button>
        <h1
          class="me-1 me-md-3 text-truncate"
          [ngClass]="runner.name ? '' : 'opacity-25'"
          (click)="builder.controller.edit()"
        >
          {{ runner.name || "Unnamed form" }}
        </h1>
        <div class="d-none d-lg-block text-nowrap">
          <tripetto-buttons-links [app]="app" mode="inline"></tripetto-buttons-links>
        </div>
      </div>
      <div class="col-3 col-lg-4 d-flex justify-content-end align-items-center pe-0">
        <div class="d-none d-lg-block">
          <tripetto-buttons-controls [app]="app" [runner]="runner" mode="inline"></tripetto-buttons-controls>
        </div>
        <div class="d-lg-none">
          <button
            class="btn btn-secondary dropdown-toggle"
            type="button"
            id="dropdownMenu"
            data-bs-toggle="dropdown"
            aria-haspopup="true"
            aria-expanded="false"
          >
            <i class="fas fa-cog fa-fw me-1"></i>
          </button>
          <div class="dropdown-menu dropdown-menu-dark dropdown-menu-end" aria-labelledby="dropdownMenu">
            <tripetto-buttons-links [app]="app" mode="dropdown"></tripetto-buttons-links>
            <div class="dropdown-divider"></div>
            <tripetto-buttons-controls [runner]="runner" mode="dropdown"></tripetto-buttons-controls>
          </div>
        </div>
      </div>
    </div>
  </div>
</nav>

<tripetto-settings
  [runner]="runner"
  class="modal fade"
  id="settingsModal"
  role="dialog"
  data-bs-backdrop="static"
  aria-labelledby="settingsModalTitle"
  aria-hidden="true"
></tripetto-settings>
